<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cybsp__types_8h" kind="file" language="C++">
    <compoundname>cybsp_types.h</compoundname>
    <includes local="yes">cyhal_pin_package.h</includes>
    <includedby local="yes" refid="cybsp_8h">cybsp.h</includedby>
    <incdepgraph>
      <node id="11">
        <label>cyhal_pin_package.h</label>
      </node>
      <node id="10">
        <label>cybsp_types.h</label>
        <link refid="cybsp__types_8h" />
        <childnode refid="11" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__bsp__pin__state_1gaedfd071923034a335d143b7b64579169" kind="define" prot="public" static="no">
        <name>CYBSP_LED_STATE_ON</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>Pin state for the LED on. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="73" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="73" />
      </memberdef>
      <memberdef id="group__group__bsp__pin__state_1ga31577fad7e20fcb174e2ecbea2dd063e" kind="define" prot="public" static="no">
        <name>CYBSP_LED_STATE_OFF</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Pin state for the LED off. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="77" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="77" />
      </memberdef>
      <memberdef id="group__group__bsp__pin__state_1ga7778aac7809929e1032f406b59cbad90" kind="define" prot="public" static="no">
        <name>CYBSP_BTN_PRESSED</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>Pin state for when a button is pressed. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="82" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="82" />
      </memberdef>
      <memberdef id="group__group__bsp__pin__state_1gafb9176679302bc5b2e002ad7caa56b09" kind="define" prot="public" static="no">
        <name>CYBSP_BTN_OFF</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>Pin state for when a button is released. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="86" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="86" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gac07a2f3b38920ceba85a621a2196d18f" kind="define" prot="public" static="no">
        <name>CYBSP_WCO_IN</name>
        <initializer>(P0_0)</initializer>
        <briefdescription>
<para>Pin: WCO input. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="99" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="99" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga6f2a01a38771377b6fe57eb673f21380" kind="define" prot="public" static="no">
        <name>CYBSP_WCO_OUT</name>
        <initializer>(P0_1)</initializer>
        <briefdescription>
<para>Pin: WCO output. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="103" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="103" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga8fe68f7298c5d517551380bb12d49cda" kind="define" prot="public" static="no">
        <name>CYBSP_UART_RX</name>
        <initializer>(P5_0)</initializer>
        <briefdescription>
<para>Pin: UART RX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="108" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="108" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga93e9ccde5f5dc113c95d46e6401c6b51" kind="define" prot="public" static="no">
        <name>CYBSP_UART_TX</name>
        <initializer>(P5_1)</initializer>
        <briefdescription>
<para>Pin: UART TX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="112" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="112" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gae1daa9ae5985d8f4002347eee1362c76" kind="define" prot="public" static="no">
        <name>CYBSP_DEBUG_UART_RX</name>
        <initializer>(P5_0)</initializer>
        <briefdescription>
<para>Pin: UART RX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="117" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="117" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gaea8cd882c067c13b1411796d5235286d" kind="define" prot="public" static="no">
        <name>CYBSP_DEBUG_UART_TX</name>
        <initializer>(P5_1)</initializer>
        <briefdescription>
<para>Pin: UART TX. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="121" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="121" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga034bfe0f68224dd376a9a79e07ab3451" kind="define" prot="public" static="no">
        <name>CYBSP_I2C_SCL</name>
        <initializer>(P6_4)</initializer>
        <briefdescription>
<para>Pin: I2C SCL. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="126" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="126" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1gad178ee7378678fe5829a826f9a4ed0b8" kind="define" prot="public" static="no">
        <name>CYBSP_I2C_SDA</name>
        <initializer>(P6_5)</initializer>
        <briefdescription>
<para>Pin: I2C SDA. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="130" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="130" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga9fba070d4040d6aa4f3e429bdfc38946" kind="define" prot="public" static="no">
        <name>CYBSP_SWDIO</name>
        <initializer>(P6_6)</initializer>
        <briefdescription>
<para>Pin: SWDIO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="135" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="135" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__comm_1ga8f50aad29445466679abdcc75dcd9796" kind="define" prot="public" static="no">
        <name>CYBSP_SWDCK</name>
        <initializer>(P6_7)</initializer>
        <briefdescription>
<para>Pin: SWDCK. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="139" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="139" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__btn_1ga66053f56ad1d1992e7059a8734d8de14" kind="define" prot="public" static="no">
        <name>CYBSP_SW2</name>
        <initializer>(P0_4)</initializer>
        <briefdescription>
<para>Switch 2; User Button 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="151" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="151" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__btn_1ga719bfb6bb0a640a38d94febf75e45341" kind="define" prot="public" static="no">
        <name>CYBSP_USER_BTN1</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__btn_1ga66053f56ad1d1992e7059a8734d8de14">CYBSP_SW2</ref>)</initializer>
        <briefdescription>
<para>Switch 2; User Button 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="155" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="155" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__btn_1ga72717d2a6e1a64352274dfb2e5649ee9" kind="define" prot="public" static="no">
        <name>CYBSP_USER_BTN</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__btn_1ga719bfb6bb0a640a38d94febf75e45341">CYBSP_USER_BTN1</ref>)</initializer>
        <briefdescription>
<para>Switch 2; User Button 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="159" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="159" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1ga5ab45150dcd738e3f3578c3a031c4b94" kind="define" prot="public" static="no">
        <name>CYBSP_LED3</name>
        <initializer>(P6_3)</initializer>
        <briefdescription>
<para>LED 3; User LED1 (red) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="172" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="172" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1gac65ecaf66ac3c548b9b055da01753471" kind="define" prot="public" static="no">
        <name>CYBSP_LED4</name>
        <initializer>(P7_1)</initializer>
        <briefdescription>
<para>LED 4; User LED2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="176" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="176" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1gaabc3ce31f840a85f1063ff3029ab79eb" kind="define" prot="public" static="no">
        <name>CYBSP_USER_LED1</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__led_1ga5ab45150dcd738e3f3578c3a031c4b94">CYBSP_LED3</ref>)</initializer>
        <briefdescription>
<para>LED 3; User LED1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="181" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="181" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1ga5e8df86514516cce06b41a40f749c898" kind="define" prot="public" static="no">
        <name>CYBSP_USER_LED2</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__led_1gac65ecaf66ac3c548b9b055da01753471">CYBSP_LED4</ref>)</initializer>
        <briefdescription>
<para>LED 4; User LED2. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="185" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="185" />
      </memberdef>
      <memberdef id="group__group__bsp__pins__led_1gacc2bba8588b183ec1d448eda9a039d7c" kind="define" prot="public" static="no">
        <name>CYBSP_USER_LED</name>
        <initializer>(<ref kindref="member" refid="group__group__bsp__pins__led_1gaabc3ce31f840a85f1063ff3029ab79eb">CYBSP_USER_LED1</ref>)</initializer>
        <briefdescription>
<para>LED 3; User LED1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" bodystart="190" column="9" file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" line="190" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Description: Provides APIs for interacting with the hardware contained on the Cypress CY8CPROTO-064B0S1-BLE pioneer kit. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="26"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(CY_USING_HAL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_pin_package.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(COMPONENT_BSP_DESIGN_MODUS)<sp />||<sp />defined(COMPONENT_CUSTOM_DESIGN_MODUS)</highlight><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cycfg.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED_STATE_ON</highlight><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED_STATE_ON<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED_STATE_OFF</highlight><highlight class="normal" /></codeline>
<codeline lineno="77"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED_STATE_OFF<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="78"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal" /></codeline>
<codeline lineno="81"><highlight class="preprocessor">#ifndef<sp />CYBSP_BTN_PRESSED</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BTN_PRESSED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(0U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="83"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="84"><highlight class="normal" /></codeline>
<codeline lineno="85"><highlight class="preprocessor">#ifndef<sp />CYBSP_BTN_OFF</highlight><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_BTN_OFF<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(1U)</highlight><highlight class="normal" /></codeline>
<codeline lineno="87"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="preprocessor">#if<sp />defined(CY_USING_HAL)</highlight><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="preprocessor">#ifndef<sp />CYBSP_WCO_IN</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_WCO_IN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P0_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="preprocessor">#ifndef<sp />CYBSP_WCO_OUT</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_WCO_OUT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P0_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="104"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="105"><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="preprocessor">#ifndef<sp />CYBSP_UART_RX</highlight><highlight class="normal" /></codeline>
<codeline lineno="108"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_UART_RX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="preprocessor">#ifndef<sp />CYBSP_UART_TX</highlight><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_UART_TX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="preprocessor">#ifndef<sp />CYBSP_DEBUG_UART_RX</highlight><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_DEBUG_UART_RX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_0)</highlight><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="preprocessor">#ifndef<sp />CYBSP_DEBUG_UART_TX</highlight><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_DEBUG_UART_TX<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P5_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="preprocessor">#ifndef<sp />CYBSP_I2C_SCL</highlight><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_I2C_SCL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="128"><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="preprocessor">#ifndef<sp />CYBSP_I2C_SDA</highlight><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_I2C_SDA<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_5)</highlight><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="preprocessor">#ifndef<sp />CYBSP_SWDIO</highlight><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SWDIO<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_6)</highlight><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="normal" /></codeline>
<codeline lineno="138"><highlight class="preprocessor">#ifndef<sp />CYBSP_SWDCK</highlight><highlight class="normal" /></codeline>
<codeline lineno="139"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SWDCK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_7)</highlight><highlight class="normal" /></codeline>
<codeline lineno="140"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="141"><highlight class="normal" /></codeline>
<codeline lineno="150"><highlight class="preprocessor">#ifndef<sp />CYBSP_SW2</highlight><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_SW2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P0_4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_BTN1</highlight><highlight class="normal" /></codeline>
<codeline lineno="155"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_BTN1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_SW2)</highlight><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="157"><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_BTN</highlight><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_BTN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_USER_BTN1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal" /></codeline>
<codeline lineno="171"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED3</highlight><highlight class="normal" /></codeline>
<codeline lineno="172"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED3<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P6_3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="174"><highlight class="normal" /></codeline>
<codeline lineno="175"><highlight class="preprocessor">#ifndef<sp />CYBSP_LED4</highlight><highlight class="normal" /></codeline>
<codeline lineno="176"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_LED4<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(P7_1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="177"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="178"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_LED1</highlight><highlight class="normal" /></codeline>
<codeline lineno="181"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_LED1<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_LED3)</highlight><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal" /></codeline>
<codeline lineno="184"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_LED2</highlight><highlight class="normal" /></codeline>
<codeline lineno="185"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_LED2<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_LED4)</highlight><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="187"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="preprocessor">#ifndef<sp />CYBSP_USER_LED</highlight><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal" /><highlight class="preprocessor">#define<sp />CYBSP_USER_LED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(CYBSP_USER_LED1)</highlight><highlight class="normal" /></codeline>
<codeline lineno="191"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="192"><highlight class="normal" /></codeline>
<codeline lineno="196"><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />defined(CY_USING_HAL)<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="197"><highlight class="normal" /></codeline>
<codeline lineno="198"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="normal">}</highlight></codeline>
<codeline lineno="200"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight></codeline>
    </programlisting>
    <location file="bsp/boards/psoc6/CY8CPROTO-064B0S1-BLE/cybsp_types.h" />
  </compounddef>
</doxygen>